$! Use the ApacheBench utility to generate performance information
$ ab = "$HT_EXE:AB.EXE"
$ say = "WRITE SYS$OUTPUT"
$!
$! ~4MB, ONE AT A TIME
$!
$ say ""
$ say "WASD server - ~4MB output, 1 concurrent, subprocess"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ ab -n 100 -c 1 "http://beta.dsto.defence.gov.au:7080/sys$common/sysexe/tnt$server.exe" 
$!
$ say ""
$ say "OSU server - ~4MB output, 1 concurrent, OSU"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ ab -n 100 -c 1 "http://beta.dsto.defence.gov.au:7777/sys$common/sysexe/tnt$server.exe" 
$!
$ say ""
$ say "Apache (CSWS) server - ~4MB output, 1 concurrent, CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ ab -n 100 -c 1 "http://beta.dsto.defence.gov.au:8888/sys$common/sysexe/tnt$server.exe" 
$!
$! ~4MB, TEN AT A TIME
$!
$ say ""
$ say "WASD server - ~4MB output, 10 concurrent, subprocess"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ ab -n 100 -c 10 "http://beta.dsto.defence.gov.au:7080/sys$common/sysexe/tnt$server.exe" 
$!
$ say ""
$ say "OSU server - ~4MB output, 10 concurrent, OSU"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ ab -n 100 -c 10 "http://beta.dsto.defence.gov.au:7777/sys$common/sysexe/tnt$server.exe" 
$!
$ say ""
$ say "Apache (CSWS) server - ~4MB output, 10 concurrent, CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ ab -n 100 -c 10 "http://beta.dsto.defence.gov.au:8888/sys$common/sysexe/tnt$server.exe" 
