$!-----------------------------------------------------------------------------
$! BUILD_HYPERSPI$AGENT.COM
$! Builds the HYPERSPI$AGENT utility for both VAX and AXP systems (separately)
$!
$! 28-OCT-2000  MGD  RELAXED_ANSI compile
$! 01-DEC-1995  MGD  VAX migrate from VAX C to DEC C
$! 20-JUN-1995  MGD  initial development
$!-----------------------------------------------------------------------------
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""HYPERSPI$AGENT""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000,__CRTL_VER=60000000)"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI 'DEFINES'" +-
                  "/WARNING=(DISABLE=(PREOPTW,IMPLICITFUNC,ADDRCONSTEXT))
$ ELSE
$    CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI 'DEFINES'" +-
                  "/WARNING=(DISABLE=(PREOPTW,IMPLICITFUNC,ADDRCONSTEXT))
$ ENDIF
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR' HYPERSPI$AGENT
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /EXECUTABLE=HT_EXE:HYPERSPI$AGENT.EXE -
     'OBJECT_DIR'HYPERSPI$AGENT,SYS$INPUT:/OPTIONS
SYS$SHARE:SPISHR.EXE/SHARE
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE HT_EXE:HYPERSPI$AGENT.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
